package kz.cafe.client.rest.wrappers;

import java.util.*;
import javax.xml.bind.annotation.*;



@XmlRootElement(name = "response")
public class JRFeedbackListResponse extends JRAbstractDeleteableResponse{

   @XmlElementWrapper(name = "list")
   @XmlElement(name = "item")
   public List<JMItem> list = new ArrayList<JMItem>();





   public JMItem add(){
      JMItem jmItem = new JMItem();
      list.add(jmItem);

      return jmItem;
   }

   
   
   public static class JMItem extends JMAbstractDataElement{
      public Integer CID;
      public Integer rate;
      public String  login;
      public String  name;
      public String  avatar;
      public String  text;
      public String  title;
   }




   
   
   
   
   

   public JRFeedbackListResponse(){
   }
   public JRFeedbackListResponse(Throwable e){
      super(e);
   }
}
